Subject: [BUG] Multi-line macros in gcc broken with CR/LF
From: MORB <[email-masked]>
To: [email-masked]
Date: Thu, 12 Oct 2000 14:48:06 +0200

Hi,

I installed the latest cygwin release (1.1.4) yesterday.

I'm trying to compile a cygwin to amigaos cross gcc, but I have a
problem.

I don't know if it has been already reported/corrected, so I report it
anyway.

It seems that multi line macros don't works in gcc if the source is in
CR/LF format, rather than in LF format.

Here is an example:

#define a=b; \
	e=f;

int main()
{

}

It compiles properly if the source is in LF format, but if it's in CR/LF
format, it fails with the following errors:

bug.c:2: 'f' undeclared here (not in a function)
bug.c:2: warning: data definition has no type or storage class

--
Antoine 'MORB' Chavasse / CdBS Software

--
Want to unsubscribe from this list?
Send a message to [email-masked]